Attend XDA's Second Annual Developer Conference, XDA:DevCon 2014!
5,812,812 Members 50,941 Now Online
XDA Developers Android and Mobile Development Forum

Help me with this apktool error please

Tip us?
 
Abhiheart
Old
#1  
Abhiheart's Avatar
Senior Member - OP
Thanks Meter 304
Posts: 440
Join Date: Dec 2011
Location: Udupi

 
DONATE TO ME
Question Help me with this apktool error please

Hello Everyone. I was trying to mod a few of JB 4,3 apps of Xperia T and when installing the framework semcgenericuxpres.apk in apktool I get the following errors. Can someone please tell me what am i doing wrong. I am able to install framework.res.apk but not semcgenericuxpre.apk. Please help me . please :

The error :
Quote:
11:31:02.750: [Normal] - ApkTool.InstallFramework: 'Installing framework, tag: 1, file: SemcGenericUxpRes.apk'
11:31:02.910: [Error] - ApkTool.InstallFramework: 'ApkTool: Exception in thread "main" brut.androlib.AndrolibException: Multiple types: <empty>'
11:31:02.910: [Error] - ApkTool.InstallFramework: 'ApkTool: at brut.androlib.res.data.ResPackage.addType(ResPacka ge.java:172)'
11:31:02.910: [Error] - ApkTool.InstallFramework: 'ApkTool: at brut.androlib.res.decoder.ARSCDecoder.readType(ARS CDecoder.java:132)'
11:31:02.910: [Error] - ApkTool.InstallFramework: 'ApkTool: at brut.androlib.res.decoder.ARSCDecoder.readPackage( ARSCDecoder.java:110)'
11:31:02.910: [Error] - ApkTool.InstallFramework: 'ApkTool: at brut.androlib.res.decoder.ARSCDecoder.readTable(AR SCDecoder.java:83)'
11:31:02.910: [Error] - ApkTool.InstallFramework: 'ApkTool: at brut.androlib.res.decoder.ARSCDecoder.decode(ARSCD ecoder.java:49)'
11:31:02.910: [Error] - ApkTool.InstallFramework: 'ApkTool: at brut.androlib.res.decoder.ARSCDecoder.decode(ARSCD ecoder.java:40)'
11:31:02.910: [Error] - ApkTool.InstallFramework: 'ApkTool: at brut.androlib.res.AndrolibResources.installFramewo rk(AndrolibResources.java:562)'
11:31:02.910: [Error] - ApkTool.InstallFramework: 'ApkTool: at brut.androlib.Androlib.installFramework(Androlib.j ava:473)'
11:31:02.910: [Error] - ApkTool.InstallFramework: 'ApkTool: at brut.apktool.Main.cmdInstallFramework(Main.java:25 0)'
11:31:02.910: [Error] - ApkTool.InstallFramework: 'ApkTool: at brut.apktool.Main.main(Main.java:81)'
11:31:02.910: [Error] - ApkTool.InstallFramework: 'ApkTool install framework failed, see log for further details. '
11:31:02.910: [Debug] - ApkTool.InstallFramework: 'Exitcode: 1'
 
immerblind
Old
#2  
Senior Member
Thanks Meter 242
Posts: 428
Join Date: Oct 2012
Location: Paradise City
Why you post that in Nexus 4 Forum?
Found your thread while searching around xda. i have the same problem, so you not alone

I guess you have the same Versions, from the leaked firmware, deodexed yourself?

If i find a solution, i tell you.
Thread Tools Search this Thread
Search this Thread:

Advanced Search
Display Modes